List the Decision history for a Payout
curl --request GET \
--url https://api.usecleff.com/v1/payouts/{payoutId}/decisions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usecleff.com/v1/payouts/{payoutId}/decisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usecleff.com/v1/payouts/{payoutId}/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usecleff.com/v1/payouts/{payoutId}/decisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usecleff.com/v1/payouts/{payoutId}/decisions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usecleff.com/v1/payouts/{payoutId}/decisions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usecleff.com/v1/payouts/{payoutId}/decisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"decisions": "<array>"
}{
"error": {
"code": "bad_request",
"message": "Validation failed (uuid is expected)",
"request_id": "req_abc123",
"occurred_at": "2026-07-07T12:00:00.000Z",
"actor": {
"user_id": "usr_...",
"membership_id": "mem_...",
"role": "business_admin",
"environment": "sandbox"
},
"docs_url": "https://docs.usecleff.com/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "Unauthorized",
"request_id": "req_abc123",
"occurred_at": "2026-07-07T12:00:00.000Z",
"actor": null,
"docs_url": "https://docs.usecleff.com/errors#unauthorized"
}
}{
"error": {
"code": "PAYOUT_NOT_FOUND",
"message": "Payout 7c9e6679-7425-40de-944b-e07fc1f90ae7 not found",
"request_id": "req_abc123",
"occurred_at": "2026-07-07T12:00:00.000Z",
"actor": {
"user_id": "usr_...",
"membership_id": "mem_...",
"role": "business_admin",
"environment": "sandbox"
},
"docs_url": "https://docs.usecleff.com/errors#payout_not_found"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Slow down and retry after the window.",
"request_id": "req_abc123",
"occurred_at": "2026-07-07T12:00:00.000Z",
"actor": null,
"docs_url": "https://docs.usecleff.com/errors#rate_limited"
}
}Payouts
List Decisions
Returns the approval decisions recorded against the Payout, newest-first.
GET
/
v1
/
payouts
/
{payoutId}
/
decisions
List the Decision history for a Payout
curl --request GET \
--url https://api.usecleff.com/v1/payouts/{payoutId}/decisions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usecleff.com/v1/payouts/{payoutId}/decisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usecleff.com/v1/payouts/{payoutId}/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usecleff.com/v1/payouts/{payoutId}/decisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usecleff.com/v1/payouts/{payoutId}/decisions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usecleff.com/v1/payouts/{payoutId}/decisions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usecleff.com/v1/payouts/{payoutId}/decisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"decisions": "<array>"
}{
"error": {
"code": "bad_request",
"message": "Validation failed (uuid is expected)",
"request_id": "req_abc123",
"occurred_at": "2026-07-07T12:00:00.000Z",
"actor": {
"user_id": "usr_...",
"membership_id": "mem_...",
"role": "business_admin",
"environment": "sandbox"
},
"docs_url": "https://docs.usecleff.com/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "Unauthorized",
"request_id": "req_abc123",
"occurred_at": "2026-07-07T12:00:00.000Z",
"actor": null,
"docs_url": "https://docs.usecleff.com/errors#unauthorized"
}
}{
"error": {
"code": "PAYOUT_NOT_FOUND",
"message": "Payout 7c9e6679-7425-40de-944b-e07fc1f90ae7 not found",
"request_id": "req_abc123",
"occurred_at": "2026-07-07T12:00:00.000Z",
"actor": {
"user_id": "usr_...",
"membership_id": "mem_...",
"role": "business_admin",
"environment": "sandbox"
},
"docs_url": "https://docs.usecleff.com/errors#payout_not_found"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Slow down and retry after the window.",
"request_id": "req_abc123",
"occurred_at": "2026-07-07T12:00:00.000Z",
"actor": null,
"docs_url": "https://docs.usecleff.com/errors#rate_limited"
}
}